> This page is for version 0.8.0.
> For other versions, use one of these documentation indexes:
> - Latest (default): https://docs.nvidia.com/nemo-helix/latest/llms.txt
> - 0.8.0: https://docs.nvidia.com/nemo-helix/v0.8.0/llms.txt
> - 0.7.1: https://docs.nvidia.com/nemo-helix/v0.7.1/llms.txt
> - 0.7.0: https://docs.nvidia.com/nemo-helix/v0.7.0/llms.txt
> - 0.6.0: https://docs.nvidia.com/nemo-helix/v0.6.0/llms.txt
> - 0.5.1: https://docs.nvidia.com/nemo-helix/v0.5.1/llms.txt
> - 0.5.0: https://docs.nvidia.com/nemo-helix/v0.5.0/llms.txt
> - 0.4.0: https://docs.nvidia.com/nemo-helix/v0.4.0/llms.txt
> - 0.3.0: https://docs.nvidia.com/nemo-helix/v0.3.0/llms.txt
> - 0.2.0: https://docs.nvidia.com/nemo-helix/v0.2.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-helix/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-helix/_mcp/server.

# List ModelDeployments

GET /apis/models/v2/workspaces/{workspace}/deployments

List ModelDeployments for a specific workspace.

By default, returns only the latest version of each deployment.

Reference: https://docs.nvidia.com/nemo-helix/documentation/reference/api-reference/model-deployments/list-deployments-apis-models-v-2-workspaces-workspace-deployments-get

## Request

### Path parameters

- `workspace` (string, required)

### Query parameters

- `page` (integer, optional, default: 1) — Page number.
- `page_size` (integer, optional, default: 100) — Page size.
- `sort` (string, optional, default: created_at) — The field to sort by. To sort in decreasing order, use `-` in front of the field name.
- `all_versions` (boolean, optional, default: false) — If true, return all versions of each deployment. If false (default), return only the latest version.
- `filter` (ModelDeploymentFilter, optional) — Filter deployments by workspace, project, status, config, model_provider_id, name, status_message, created_at, and updated_at.

## Response

### 200

Return model deployments for a workspace

- `data` (list of ModelDeployment, required)
- `pagination` (PaginationData, optional) — Pagination information.
- `sort` (string, optional) — The field on which the results are sorted.
- `filter` (map from string to any, optional) — Filtering information.

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ModelDeploymentFilter

Filter for ModelDeployment queries.

- `workspace` (string, optional) — Filter by workspace.
- `project` (string, optional) — Filter by project URN.
- `status` (enum, optional) — Filter by status.
  - Allowed values: `UNKNOWN`, `CREATED`, `PENDING`, `READY`, `ERROR`, `DELETING`, `DELETED`, `LOST`
- `config` (ModelDeploymentFilterConfig, optional) — Filter by config name.
- `model_provider_id` (string, optional) — Filter by model provider ID.
- `name` (ModelDeploymentFilterName, optional) — Filter by deployment name.
- `status_message` (ModelDeploymentFilterStatusMessage, optional) — Filter by status message.
- `created_at` (DatetimeFilter, optional) — Filter by creation date.
- `updated_at` (DatetimeFilter, optional) — Filter by update date.

### ModelDeployment

ModelDeployment represents a deployed instance of a model with a specific configuration. These objects are immutable with automatic versioning, except for status updates. The unique identifier is the combination of workspace/name/entity_version.

- `name` (string, required) — Name of the entity. Name/workspace combo must be unique across all entities. Name must start with a lowercase letter, be 2-63 characters, and use lowercase letters, digits, hyphens, and dots (no consecutive hyphens, cannot end with a hyphen).
- `workspace` (string, required) — The workspace of the entity. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.
- `created_at` (datetime, required) — The timestamp of model entity creation
- `updated_at` (datetime, required) — The timestamp of the last model entity update
- `entity_version` (integer, required) — Version of this deployment. Automatically managed.
- `config` (string, required) — Reference to the ModelDeploymentConfig name
- `config_version` (integer, required) — Reference to the specific ModelDeploymentConfig version
- `id` (string, optional) — Unique identifier for the deployment
- `project` (string, optional) — The URN of the project associated with this entity.
- `status` (enum, optional, default: UNKNOWN) — Current status of the deployment, populated by models controller
  - Allowed values: `UNKNOWN`, `CREATED`, `PENDING`, `READY`, `ERROR`, `DELETING`, `DELETED`, `LOST`
- `status_message` (string, optional, default: ) — Detailed status message, populated by models controller
- `status_history` (list of ModelDeploymentStatusHistoryItem, optional) — History of status changes, ordered chronologically (oldest first)
- `model_provider_id` (string, optional) — Optional reference to the auto-created ModelProvider workspace/name (format: workspace/name)
- `auth_context` (AuthContext, optional) — Auth context captured at deployment creation.

### PaginationData

- `page` (integer, required) — The current page number.
- `page_size` (integer, required) — The page size used for the query.
- `current_page_size` (integer, required) — The size for the current page.
- `total_pages` (integer, required) — The total number of pages.
- `total_results` (integer, required) — The total number of results.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (map from string to any, optional)

### ModelDeploymentFilterConfig

Filter by config name.

### ModelDeploymentFilterName

Filter by deployment name.

### ModelDeploymentFilterStatusMessage

Filter by status message.

### DatetimeFilter

- `$gte` (datetime, optional) — Filter for results greater than or equal to this datetime.
- `$lte` (datetime, optional) — Filter for results less than or equal to this datetime.

### ModelDeploymentStatusHistoryItem

Record of a status change in ModelDeployment history.

- `timestamp` (datetime, required) — When this status was recorded
- `status` (enum, required) — The status at this point in time
  - Allowed values: `UNKNOWN`, `CREATED`, `PENDING`, `READY`, `ERROR`, `DELETING`, `DELETED`, `LOST`
- `status_message` (string, optional, default: ) — Status message

### AuthContext

Auth context captured at resource creation for delegated access. Stores a snapshot of the creating principal's identity so that controllers can later act on their behalf (e.g., accessing secrets).

- `principal_id` (string, required) — The principal's unique identifier
- `principal_account_id` (string, optional) — Stable NeMo account identifier for the principal
- `principal_email` (string, optional) — The principal's email address
- `principal_groups` (list of string, optional) — Groups the principal belongs to
- `principal_authz_aliases` (list of string, optional) — Alternate trusted identifiers for the principal
- `principal_on_behalf_of` (string, optional) — If acting on behalf of another principal, their principal ID
- `principal_on_behalf_of_groups` (list of string, optional) — Groups the on-behalf-of principal belongs to
- `principal_on_behalf_of_email` (string, optional) — The on-behalf-of principal's email address
- `principal_on_behalf_of_account_id` (string, optional) — Stable NeMo account identifier for the on-behalf-of principal
- `principal_on_behalf_of_authz_aliases` (list of string, optional) — Alternate trusted identifiers for the on-behalf-of principal

### ValidationErrorLocItems

### StringFilter

- `$eq` (string, optional) — Filter for results equal to this value.
- `$like` (string, optional) — Filter for results matching this pattern.
- `$in` (list of string, optional) — Filter for results in this list of values.
- `$nin` (list of string, optional) — Filter for results not in this list of values.

## Examples

**Response**

```json
{
  "data": [
    {
      "name": "llama-3.1-8b",
      "workspace": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "entity_version": 1,
      "config": "string",
      "config_version": 1,
      "id": "string",
      "project": "string",
      "status": "UNKNOWN",
      "status_message": "",
      "status_history": [
        {
          "timestamp": "2024-01-15T09:30:00Z",
          "status": "UNKNOWN",
          "status_message": ""
        }
      ],
      "model_provider_id": "string",
      "auth_context": {
        "principal_id": "string",
        "principal_account_id": "string",
        "principal_email": "string",
        "principal_groups": [
          "string"
        ],
        "principal_authz_aliases": [
          "string"
        ],
        "principal_on_behalf_of": "string",
        "principal_on_behalf_of_groups": [
          "string"
        ],
        "principal_on_behalf_of_email": "string",
        "principal_on_behalf_of_account_id": "string",
        "principal_on_behalf_of_authz_aliases": [
          "string"
        ]
      }
    }
  ],
  "pagination": {
    "page": 1,
    "page_size": 1,
    "current_page_size": 1,
    "total_pages": 1,
    "total_results": 1
  },
  "sort": "string",
  "filter": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/models/v2/workspaces/workspace/deployments"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/models/v2/workspaces/workspace/deployments';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/models/v2/workspaces/workspace/deployments"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/models/v2/workspaces/workspace/deployments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/apis/models/v2/workspaces/workspace/deployments")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/apis/models/v2/workspaces/workspace/deployments');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/models/v2/workspaces/workspace/deployments");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/models/v2/workspaces/workspace/deployments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```